Bug 1120865 - Review Request: golang-github-BurntSushi-toml
Summary: Review Request: golang-github-BurntSushi-toml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047194
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:38 UTC by Colin Walters
Modified: 2014-11-10 18:31 UTC (History)
5 users (show)

Fixed In Version: golang-github-BurntSushi-toml-0-0.3.git2ceedfe.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 10:00:50 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
spec tweaks (1.94 KB, patch)
2014-07-25 19:35 UTC, Vincent Batts
no flags Details | Diff

Description Colin Walters 2014-07-17 21:38:26 UTC
Spec URL: https://github.com/projectatomic/golang-github-BurntSushi-toml-package
Fedora Account System Username: walters

Comment 1 Vincent Batts 2014-07-25 19:35:29 UTC
Created attachment 921044 [details]
spec tweaks

Comments to accommodate this patch:
* %{gopath} is in the rpm macros, and set exclusive arch too, to prevent s390 builds
* move the buildarch noarch to the devel, since it is source only
* preserve timestamps of source copied
* and as an added perk, the tomlv command provided in this project is useful for validating *.toml files, so we could build and include it in the main rpm.

Comment 2 Jan Chaloupka 2014-08-29 12:40:29 UTC
After applying the patch

$ rpmlint golang-github-BurntSushi-toml.spec
golang-github-BurntSushi-toml.spec:14: W: unversioned-explicit-provides tomlv
golang-github-BurntSushi-toml.spec:30: W: setup-not-quiet
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 3 Eric Paris 2014-09-09 15:29:23 UTC
Jan, did you update github?  Or send a pull request?

Comment 4 Jan Chaloupka 2014-09-10 07:31:29 UTC
Pull request created. Colin, can you give me commit rights?

Comment 5 Vincent Batts 2014-09-10 17:31:46 UTC
one other nit, that I've just thought of. 
```
Release:        0.git%{shortcommit}%{?dist}
```

out to be:
```
Release:        0.0.git%{shortcommit}%{?dist}
```

reason being that the version will not be incremented just because the git bundle is updated. So we'll use the first position for updates to the git bundle. The second position is for normal release type incrementing.

Comment 6 Vincent Batts 2014-09-10 17:42:39 UTC
ah, also in %check:

-GOPATH=%{gopath}:%{buildroot}/%{gopath} go test %{import_path}
+GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

Because the test will step through GOPATH, first to last looking for the %{import_path} that is being tested.

Comment 7 Jan Chaloupka 2014-09-11 07:57:19 UTC
Pushed.

Comment 8 Vincent Batts 2014-09-12 19:34:06 UTC
New Package SCM Request
=======================
Package Name: golang-github-BurntSushi-toml
Short Description: TOML parser and encoder for Go with reflection
Upstream URL: https://github.com/BurntSushi/toml
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 9 Gwyn Ciesla 2014-09-12 19:56:14 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-09-22 09:59:19 UTC
golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc20

Comment 11 Fedora Update System 2014-09-22 10:00:00 UTC
golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc21

Comment 12 Fedora Update System 2014-10-01 04:24:27 UTC
golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-10-09 20:59:01 UTC
golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.el6

Comment 14 Fedora Update System 2014-10-14 04:30:13 UTC
golang-github-BurntSushi-toml-0-0.2.gitbd2bdf7.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-10-23 12:38:52 UTC
golang-github-BurntSushi-toml-0-0.3.git2ceedfe.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.3.git2ceedfe.el6

Comment 16 Fedora Update System 2014-10-23 12:40:25 UTC
golang-github-BurntSushi-toml-0-0.3.git2ceedfe.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.3.git2ceedfe.fc20

Comment 17 Fedora Update System 2014-10-23 12:46:36 UTC
golang-github-BurntSushi-toml-0-0.3.git2ceedfe.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-BurntSushi-toml-0-0.3.git2ceedfe.fc21

Comment 18 Fedora Update System 2014-11-01 16:55:50 UTC
golang-github-BurntSushi-toml-0-0.3.git2ceedfe.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-11-10 18:31:06 UTC
golang-github-BurntSushi-toml-0-0.3.git2ceedfe.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.